
CREATE SEQUENCE seq_logs_form_export
  START WITH 1
  INCREMENT BY 1
  NO MINVALUE
  NO MAXVALUE
  CACHE 1;


CREATE TABLE logs_form_export (
  id integer DEFAULT nextval('seq_logs_form_export'::regclass) NOT NULL,
  discipline_id integer NOT NULL,
  account_id integer NOT NULL,
  date timestamp(0) without time zone DEFAULT now() NOT NULL
);

CREATE INDEX key_logs_form_export ON logs_form_export USING btree (discipline_id);

ALTER TABLE ONLY logs_form_export
  ADD CONSTRAINT logs_form_export_pkey PRIMARY KEY (id);

CREATE OR REPLACE FUNCTION public.log_form_export(paccountid integer, pdisciplineid integer)
  RETURNS integer
LANGUAGE plpgsql
AS $function$
begin
  INSERT INTO logs_form_export (discipline_id, account_id) VALUES (pdisciplineid, paccountid);
  RETURN 0;
END
$function$;

drop function if exists public.get_form_export_date(pdisciplineid integer);
CREATE OR REPLACE FUNCTION public.get_form_export_date(pdisciplineid integer)
  RETURNS integer
LANGUAGE plpgsql
AS $function$
DECLARE vLastDate DATE DEFAULT NULL;
begin
  SELECT logs_form_export.date INTO vLastDate 
  FROM logs_form_export 
      WHERE logs_form_export.discipline_id = pdisciplineid
      ORDER BY logs_form_export.date DESC
      LIMIT 1;
   return vLastDate;
END
$function$;